Package org.gradle.language.assembler.tasks

## Class Assemble

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.language.assembler.tasks.Assemble

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      @Incubating
      public class Assemble
      extends DefaultTask

  Translates Assembly language source files into object files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Assemble()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `assemble()` |
    `List<String>` | `getAssemblerArgs()` | Additional arguments to provide to the assembler.
    `protected org.gradle.internal.file.Deleter` | `getDeleter()` |
    `ConfigurableFileCollection` | `getIncludes()` | Returns the header directories to be used for compilation.
    `File` | `getObjectFileDir()` | The directory where object files will be generated.
    `org.gradle.internal.operations.logging.BuildOperationLoggerFactory` | `getOperationLoggerFactory()` |
    `ConfigurableFileCollection` | `getSource()` |
    `Property<NativePlatform>` | `getTargetPlatform()` | The platform being compiled for.
    `Property<NativeToolChain>` | `getToolChain()` | The tool chain used for compilation.
    `void` | `includes​(Object includeRoots)` | Add directories where the compiler should search for header files.
    `void` | `setAssemblerArgs​(List<String> assemblerArgs)` |
    `void` | `setObjectFileDir​(File objectFileDir)` |
    `void` | `source​(Object sourceFiles)` | Adds a set of assembler sources files to be translated.

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getRequiredServices, getServices, getSharedResources, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString, usesService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Assemble

          @Inject
          public Assemble()

  - ### Method Detail

    - #### getOperationLoggerFactory

          @Inject
          public org.gradle.internal.operations.logging.BuildOperationLoggerFactory getOperationLoggerFactory()

    - #### getDeleter

          @Inject
          protected org.gradle.internal.file.Deleter getDeleter()

    - #### assemble

          public void assemble()

    - #### getSource

          @PathSensitive(RELATIVE)
          @InputFiles
          @SkipWhenEmpty
          public ConfigurableFileCollection getSource()

    - #### source

          public void source​(Object sourceFiles)

      Adds a set of assembler sources files to be translated. The provided sourceFiles object is evaluated as per `Project.files(Object...)`.

    - #### getAssemblerArgs

          @Input
          public List<String> getAssemblerArgs()

      Additional arguments to provide to the assembler.

    - #### setAssemblerArgs

          public void setAssemblerArgs​(List<String> assemblerArgs)

    - #### getToolChain

          @Internal
          public Property<NativeToolChain> getToolChain()

      The tool chain used for compilation.
      Since:
        4.7

    - #### getTargetPlatform

          public Property<NativePlatform> getTargetPlatform()

      The platform being compiled for.
      Since:
        4.7

    - #### getObjectFileDir

          @OutputDirectory
          public File getObjectFileDir()

      The directory where object files will be generated.

    - #### setObjectFileDir

          public void setObjectFileDir​(File objectFileDir)

    - #### getIncludes

          @PathSensitive(RELATIVE)
          @InputFiles
          public ConfigurableFileCollection getIncludes()

      Returns the header directories to be used for compilation.
      Since:
        4.4

    - #### includes

          public void includes​(Object includeRoots)

      Add directories where the compiler should search for header files.
      Since:
        4.4